Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 2925 in orxonox.OLD for orxonox/trunk/configure


Ignore:
Timestamp:
Nov 19, 2004, 2:36:15 PM (20 years ago)
Author:
bensch
Message:

orxonox/trunk: fixed problem with the AC_CHECK_HEADER. now works in linux and windows again.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • orxonox/trunk/configure

    r2879 r2925  
    37413741fi
    37423742
    3743 # On IRIX 5.3, sys/types and inttypes.h are conflicting.
     3743
     3744### CHECKING FOR SYSTEM ###
     3745
     3746echo "$as_me:$LINENO: checking for System" >&5
     3747echo $ECHO_N "checking for System... $ECHO_C" >&6
     3748case `uname` in
     3749### WINDOWS ###
     3750  *MINGW*)
     3751echo "mingw-WINDOWS detected"
     3752
     3753    mingw="yes"
     3754    MSBITFIELDS="-mms-bitfields"
     3755    MWINDOWS="-mwindows"
     3756
     3757# checking gl header
     3758        #done before loop
     3759
     3760# checking gl header (has to be here because of a Linux error)
     3761   # On IRIX 5.3, sys/types and inttypes.h are conflicting.
    37443762
    37453763
     
    38133831
    38143832
    3815 for ac_header in
    3816 do
    3817 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
    3818 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    3819   echo "$as_me:$LINENO: checking for $ac_header" >&5
    3820 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    3821 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    3822   echo $ECHO_N "(cached) $ECHO_C" >&6
    3823 fi
    3824 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    3825 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    3826 else
    3827   # Is the header compilable?
    3828 echo "$as_me:$LINENO: checking $ac_header usability" >&5
    3829 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
    3830 cat >conftest.$ac_ext <<_ACEOF
    3831 /* confdefs.h.  */
    3832 _ACEOF
    3833 cat confdefs.h >>conftest.$ac_ext
    3834 cat >>conftest.$ac_ext <<_ACEOF
    3835 /* end confdefs.h.  */
    3836 $ac_includes_default
    3837 #include <$ac_header>
    3838 _ACEOF
    3839 rm -f conftest.$ac_objext
    3840 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    3841   (eval $ac_compile) 2>conftest.er1
    3842   ac_status=$?
    3843   grep -v '^ *+' conftest.er1 >conftest.err
    3844   rm -f conftest.er1
    3845   cat conftest.err >&5
    3846   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3847   (exit $ac_status); } &&
    3848          { ac_try='test -z "$ac_c_werror_flag"
    3849                          || test ! -s conftest.err'
    3850   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3851   (eval $ac_try) 2>&5
    3852   ac_status=$?
    3853   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3854   (exit $ac_status); }; } &&
    3855          { ac_try='test -s conftest.$ac_objext'
    3856   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3857   (eval $ac_try) 2>&5
    3858   ac_status=$?
    3859   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3860   (exit $ac_status); }; }; then
    3861   ac_header_compiler=yes
    3862 else
    3863   echo "$as_me: failed program was:" >&5
    3864 sed 's/^/| /' conftest.$ac_ext >&5
    3865 
    3866 ac_header_compiler=no
    3867 fi
    3868 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    3869 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
    3870 echo "${ECHO_T}$ac_header_compiler" >&6
    3871 
    3872 # Is the header present?
    3873 echo "$as_me:$LINENO: checking $ac_header presence" >&5
    3874 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
    3875 cat >conftest.$ac_ext <<_ACEOF
    3876 /* confdefs.h.  */
    3877 _ACEOF
    3878 cat confdefs.h >>conftest.$ac_ext
    3879 cat >>conftest.$ac_ext <<_ACEOF
    3880 /* end confdefs.h.  */
    3881 #include <$ac_header>
    3882 _ACEOF
    3883 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
    3884   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    3885   ac_status=$?
    3886   grep -v '^ *+' conftest.er1 >conftest.err
    3887   rm -f conftest.er1
    3888   cat conftest.err >&5
    3889   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3890   (exit $ac_status); } >/dev/null; then
    3891   if test -s conftest.err; then
    3892     ac_cpp_err=$ac_c_preproc_warn_flag
    3893     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
    3894   else
    3895     ac_cpp_err=
    3896   fi
    3897 else
    3898   ac_cpp_err=yes
    3899 fi
    3900 if test -z "$ac_cpp_err"; then
    3901   ac_header_preproc=yes
    3902 else
    3903   echo "$as_me: failed program was:" >&5
    3904 sed 's/^/| /' conftest.$ac_ext >&5
    3905 
    3906   ac_header_preproc=no
    3907 fi
    3908 rm -f conftest.err conftest.$ac_ext
    3909 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
    3910 echo "${ECHO_T}$ac_header_preproc" >&6
    3911 
    3912 # So?  What about this header?
    3913 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
    3914   yes:no: )
    3915     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
    3916 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
    3917     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
    3918 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
    3919     ac_header_preproc=yes
    3920     ;;
    3921   no:yes:* )
    3922     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
    3923 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
    3924     { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
    3925 echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
    3926     { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
    3927 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
    3928     { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
    3929 echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
    3930     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
    3931 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
    3932     { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
    3933 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
    3934     (
    3935       cat <<\_ASBOX
    3936 ## ------------------------------------------- ##
    3937 ## Report this to orxonox-dev@mail.datacore.ch ##
    3938 ## ------------------------------------------- ##
    3939 _ASBOX
    3940     ) |
    3941       sed "s/^/$as_me: WARNING:     /" >&2
    3942     ;;
    3943 esac
    3944 echo "$as_me:$LINENO: checking for $ac_header" >&5
    3945 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    3946 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    3947   echo $ECHO_N "(cached) $ECHO_C" >&6
    3948 else
    3949   eval "$as_ac_Header=\$ac_header_preproc"
    3950 fi
    3951 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    3952 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    3953 
    3954 fi
    3955 if test `eval echo '${'$as_ac_Header'}'` = yes; then
    3956   cat >>confdefs.h <<_ACEOF
    3957 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    3958 _ACEOF
    3959 
    3960 fi
    3961 
    3962 done
    3963 
    3964 
    3965 
    3966 
    3967 ### CHECKING FOR SYSTEM ###
    3968 
    3969 echo "$as_me:$LINENO: checking for System" >&5
    3970 echo $ECHO_N "checking for System... $ECHO_C" >&6
    3971 case `uname` in
    3972 ### WINDOWS ###
    3973   *MINGW*)
    3974 echo "mingw-WINDOWS detected"
    3975 
    3976     mingw="yes"
    3977     MSBITFIELDS="-mms-bitfields"
    3978     MWINDOWS="-mwindows"
    3979 
    3980 # checking gl header
    3981         #done before loop
    3982 
    3983 # checking gl header (has to be here because of a Linux error)
    39843833
    39853834for ac_header in GL/gl.h
Note: See TracChangeset for help on using the changeset viewer.